Bug 438962 - Too many arguments passed to removeOldEfiEntries()
Too many arguments passed to removeOldEfiEntries()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: booty (Show other bugs)
9
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2008-03-26 04:23 EDT by Zhan, Yi
Modified: 2009-07-14 14:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:27:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix the typo (490 bytes, patch)
2008-03-26 04:23 EDT, Zhan, Yi
no flags Details | Diff

  None (edit)
Description Zhan, Yi 2008-03-26 04:23:10 EDT
Description of problem:

I ran into this error in the firstboot stage when trying to install from a
rawhide image on ia64. And then anaconda failed. 
  
  TypeError: removeOldEfiEntries() takes exactly 2 arguments (3 given)
  File "/usr/lib/booty/bootloaderInfo.py", line 1262, in write
    self.removeOldEfiEntries(instRoot, fsset)

Attached patch would fix this.

Version-Release number of selected component (if applicable):
booty-0.101-1.fc9.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1. Install from a rawhide image on ia64
2.
3.
  
Actual results:
05:22:27 CRITICAL: anaconda 11.4.0.55 exception report
Traceback (most recent call first):
  File "/usr/lib/booty/bootloaderInfo.py", line 1262, in write
    self.removeOldEfiEntries(instRoot, fsset)
  File "/usr/lib/anaconda/bootloader.py", line 229, in writeBootloader
    justConfigFile, anaconda.intf)
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 131, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1246, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 80, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1267, in handleRenderCallback
    self.currentWindow.renderCallback()
TypeError: removeOldEfiEntries() takes exactly 2 arguments (3 given)

Expected results:


Additional info:
Comment 1 Zhan, Yi 2008-03-26 04:23:10 EDT
Created attachment 299106 [details]
fix the typo
Comment 2 Jeremy Katz 2008-03-27 15:54:28 EDT
Committed
Comment 3 Bug Zapper 2008-05-14 02:51:51 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Chris Ward 2009-04-06 05:21:14 EDT
Is this still a valid issue?
Comment 5 Chris Ward 2009-04-06 05:30:10 EDT
~Attention~

This bug appears to pertain to an important F11 feature, EFI, which the Fedora Community will be testing in an upcoming Fedora Test Day. Your participation in the action would be greatly appreciated!

More information:
https://fedoraproject.org/wiki/QA/Test_Days/2009-04-09
https://fedoraproject.org/wiki/Features/EFI
Comment 6 Bug Zapper 2009-06-09 19:51:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 14:27:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.